[Sync Request] Sync nagios-nrpe (3.0.1-3) from Debian unstable (main)

Bug #1663329 reported by Joshua Powers on 2017-02-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nagios-nrpe (Ubuntu)
Medium
Unassigned

Bug Description

Please sync nagios-nrpe (3.0.1-3) from Debian unstable (main)

The Ubuntu package no longer has any required changes, all three current deltas were dropped:
* Two changes were related to enabling hardening to debian/rules. This was merged into Debian [1]
* The third change is an extra erroneously added git diff file named 'xxx'. This file is not necessary and should be removed/overridden.

The package from Debian was successfully built in a ppa [2]. My attempt at a merge verified that the build hardening is enabled [3] and only remaining changes were the change log and control file.

[1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=728218
[2] https://launchpad.net/~powersj/+archive/ubuntu/nagios-nrpe-1663329
[3] https://code.launchpad.net/~powersj/ubuntu/+source/nagios-nrpe/+git/nagios-nrpe/+merge/316979

nagios-nrpe (3.0.1-3) unstable; urgency=medium

  * Add reload command to systemd service file.
  * Make missing EnvironmentFile non-fatal in systemd service.

 -- Bas Couwenberg <email address hidden> Sat, 24 Dec 2016 10:24:09 +0100

nagios-nrpe (3.0.1-2) unstable; urgency=medium

  * Add systemd service file and tmpfiles.d configuration.
    (closes: #665422)
  * Update nrpe manpage to include new options.

 -- Bas Couwenberg <email address hidden> Fri, 23 Dec 2016 23:15:19 +0100

nagios-nrpe (3.0.1-1) unstable; urgency=medium

  * Update check_nrpe.cfg to remove command with arguments.
    (LP: #975918)
  * Disable SSL support by default, requires configuration.
    It also doesn't work well with old check_nrpe versions.
  * Move from experimental to unstable.

 -- Bas Couwenberg <email address hidden> Fri, 09 Dec 2016 00:15:29 +0100

nagios-nrpe (3.0.1-1~exp1) experimental; urgency=medium

  [ Alexander Wirt ]
  * Sync uploaders with reality.
    (closes: #773441)

  [ Bas Couwenberg ]
  * New upstream release.
    - Reworked SSL/TLS. See the README.SSL.md file for full info.
    (closes: #547092)
  * Add myself to Uploaders.
  * Add Vcs-* fields to control file.
    (closes: #755507)
  * Change nagios-plugins dependencies to monitoring-plugins.
  * Switch from dpatch to source format 3.0 (quilt).
    (closes: #756410)
  * Drop obsolete patch: 04_weird_output.dpatch.
  * Restructure control file with cme.
  * Reorder (build) dependencies.
  * Add Homepage field to control file.
  * Update copyright file using copyright-format 1.0.
  * Add gbp.conf to use pristine-tar by default.
  * Update build dependency to use openssl 1.0.
  * Enable all hardening buildflags.
    (closes: #728218)
  * Enable parallel builds.
  * Suggest xinetd | inetd.
    (closes: #662247)
  * Include PDF & ODT documentation in docs.
    (closes: #662249)
  * Update watch file to handle common issues.
  * Add upstream metadata.
  * Merge nrpe.cfg patches into single patch.
    (closes: #660583)
  * Use configure option to set custom PID directory instead of patch.
  * Drop 09_noremove_pid.patch, fixed upstream. Refresh remaining patches.
  * Add patch to use pre-generated dh.h for reproducible builds.
  * Override dh_auto_build to build all targets.
  * Use dh-autoreconf instead of autotools-dev.
  * Use exit status 0 in init script when inetd is configured.
    (closes: #775924)
  * Include README.SSL.md in docs.
  * Bump Standards-Version to 3.9.8, changes:
    Vcs-* fields, copyright-format 1.0.

  [ Benjamin Drung ]
  * Use dh_auto_configure to enable default hardening flags.
    (closes: #843805)
  * Fix copyright-refers-to-symlink-license.
    (closes: #756414)

  [ Chris Lamb ]
  * Make the build reproducible.
    (closes: #834857)

 -- Bas Couwenberg <email address hidden> Sun, 04 Dec 2016 18:36:54 +0100

Joshua Powers (powersj) on 2017-02-09
Changed in nagios-nrpe (Ubuntu):
assignee: nobody → Joshua Powers (powersj)
importance: Undecided → Medium
status: New → In Progress
Joshua Powers (powersj) on 2017-02-10
summary: - Merge from Debian unstable
+ [Sync Request] Sync nagios-nrpe (3.0.1-3) from Debian unstable (main)
Changed in nagios-nrpe (Ubuntu):
assignee: Joshua Powers (powersj) → nobody
status: In Progress → Confirmed
Joshua Powers (powersj) on 2017-02-10
description: updated
Nish Aravamudan (nacc) on 2017-02-10
Changed in nagios-nrpe (Ubuntu):
status: Confirmed → Fix Committed
Joshua Powers (powersj) on 2017-02-10
description: updated
Nish Aravamudan (nacc) wrote :

This bug was fixed in the package nagios-nrpe - 3.0.1-3
Sponsored for Joshua Powers (powersj)

---------------
nagios-nrpe (3.0.1-3) unstable; urgency=medium

  * Add reload command to systemd service file.
  * Make missing EnvironmentFile non-fatal in systemd service.

 -- Bas Couwenberg <email address hidden> Sat, 24 Dec 2016 10:24:09 +0100

nagios-nrpe (3.0.1-2) unstable; urgency=medium

  * Add systemd service file and tmpfiles.d configuration.
    (closes: #665422)
  * Update nrpe manpage to include new options.

 -- Bas Couwenberg <email address hidden> Fri, 23 Dec 2016 23:15:19 +0100

nagios-nrpe (3.0.1-1) unstable; urgency=medium

  * Update check_nrpe.cfg to remove command with arguments.
    (LP: #975918)
  * Disable SSL support by default, requires configuration.
    It also doesn't work well with old check_nrpe versions.
  * Move from experimental to unstable.

 -- Bas Couwenberg <email address hidden> Fri, 09 Dec 2016 00:15:29 +0100

nagios-nrpe (3.0.1-1~exp1) experimental; urgency=medium

  [ Alexander Wirt ]
  * Sync uploaders with reality.
    (closes: #773441)

  [ Bas Couwenberg ]
  * New upstream release.
    - Reworked SSL/TLS. See the README.SSL.md file for full info.
    (closes: #547092)
  * Add myself to Uploaders.
  * Add Vcs-* fields to control file.
    (closes: #755507)
  * Change nagios-plugins dependencies to monitoring-plugins.
  * Switch from dpatch to source format 3.0 (quilt).
    (closes: #756410)
  * Drop obsolete patch: 04_weird_output.dpatch.
  * Restructure control file with cme.
  * Reorder (build) dependencies.
  * Add Homepage field to control file.
  * Update copyright file using copyright-format 1.0.
  * Add gbp.conf to use pristine-tar by default.
  * Update build dependency to use openssl 1.0.
  * Enable all hardening buildflags.
    (closes: #728218)
  * Enable parallel builds.
  * Suggest xinetd | inetd.
    (closes: #662247)
  * Include PDF & ODT documentation in docs.
    (closes: #662249)
  * Update watch file to handle common issues.
  * Add upstream metadata.
  * Merge nrpe.cfg patches into single patch.
    (closes: #660583)
  * Use configure option to set custom PID directory instead of patch.
  * Drop 09_noremove_pid.patch, fixed upstream. Refresh remaining patches.
  * Add patch to use pre-generated dh.h for reproducible builds.
  * Override dh_auto_build to build all targets.
  * Use dh-autoreconf instead of autotools-dev.
  * Use exit status 0 in init script when inetd is configured.
    (closes: #775924)
  * Include README.SSL.md in docs.
  * Bump Standards-Version to 3.9.8, changes:
    Vcs-* fields, copyright-format 1.0.

  [ Benjamin Drung ]
  * Use dh_auto_configure to enable default hardening flags.
    (closes: #843805)
  * Fix copyright-refers-to-symlink-license.
    (closes: #756414)

  [ Chris Lamb ]
  * Make the build reproducible.
    (closes: #834857)

 -- Bas Couwenberg <email address hidden> Sun, 04 Dec 2016 18:36:54 +0100

Changed in nagios-nrpe (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers